ru.bitel.bgbilling.kernel.task.server.bean

## Class SchedulerManager

- java.lang.Object
- - ru.bitel.bgbilling.kernel.task.server.bean.SchedulerManager

-     public class SchedulerManager
      extends java.lang.Object

  Менеджер по работе с БД планировщика заданий.
  Author:
    artur

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTask(LightweightTaskData task)` Как следует из названия метод добавляет новую задачу планировщика в БД
    `void` | `deleteCurrentRunTask(int taskId)` Удаление выполняемой задачи из очереди асинхронных задач.
    `void` | `deleteTask(int taskId)` Метод удаляет данную задачу из БД.
    `java.util.List<PeriodicTask>` | `getPeriodicTaskLIst()` Получение списка периодических задач, выполняемых в данный момент
    `java.util.List<RunningTask>` | `getRunningTaskList()` Метод получения списка выполняемых асинхронных заданий планирощика.
    `java.util.List<LightweightTaskData>` | `getTaskList(java.lang.String moduleId)` Метод возвращает список задач планировщика из БД.
    `void` | `updateTask(LightweightTaskData task)` Метод обновляет данные задачи планировщика в БД.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerManager

          public SchedulerManager(java.sql.Connection con)

  - ### Method Detail

    - #### getTaskList

          public java.util.List<LightweightTaskData> getTaskList(java.lang.String moduleId)
                                                          throws ru.bitel.bgbilling.common.BGException

      Метод возвращает список задач планировщика из БД.
      Parameters:
        `moduleId` - код модуля. Если 0 - ядро, число - экземпляр модуля, "p+число" - плагин
      Returns:
        отфильтрованный список задач
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addTask

          public void addTask(LightweightTaskData task)
                       throws ru.bitel.bgbilling.common.BGException

      Как следует из названия метод добавляет новую задачу планировщика в БД
      Parameters:
        `task` - добавляемая залача
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTask

          public void updateTask(LightweightTaskData task)
                          throws ru.bitel.bgbilling.common.BGException

      Метод обновляет данные задачи планировщика в БД.
      Parameters:
        `task` - обновляемая задача
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteTask

          public void deleteTask(int taskId)
                          throws ru.bitel.bgbilling.common.BGException

      Метод удаляет данную задачу из БД.
      Parameters:
        `taskId` - удаляемая задача.
      Throws:
        `ru.bitel.bgbilling.common.BGException` - возникает, в случае ошибок,выдаваемых СУБД

    - #### getRunningTaskList

          public java.util.List<RunningTask> getRunningTaskList()
                                                         throws ru.bitel.bgbilling.common.BGException

      Метод получения списка выполняемых асинхронных заданий планирощика.
      Returns:
        список заданий
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPeriodicTaskLIst

          public java.util.List<PeriodicTask> getPeriodicTaskLIst()
                                                           throws ru.bitel.bgbilling.common.BGException

      Получение списка периодических задач, выполняемых в данный момент
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteCurrentRunTask

          public void deleteCurrentRunTask(int taskId)
                                    throws ru.bitel.bgbilling.common.BGException

      Удаление выполняемой задачи из очереди асинхронных задач. Используется в клиентском коде.
      Parameters:
        `taskId` - код выполняемой задачи
      Throws:
        `ru.bitel.bgbilling.common.BGException`